---

- name: Compress previous version
  command: tar cf {{ consul_root_dir }}/archives/{{ consul_current_version }}.tar.zst --use-compress-program=zstd ./
  args:
    chdir: "{{ consul_root_dir }}/archives/{{ consul_current_version }}"
  environment:
    ZSTD_CLEVEL: 10
  tags: consul

- name: Remove archive dir
  file: path={{ consul_root_dir }}/archives/{{ consul_current_version }} state=absent
  tags: consul

